Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161679 - gfortran segfaults with line spec
Summary: gfortran segfaults with line spec
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 14:09 UTC by Patrice Dumas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-10 20:41:53 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2005-06-25 14:09:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The following code triggers a segfault with gfortran. I don't know what it means but gfortran shouldn't segfault anyway.

      SUBROUTINE MNMNOT

# 18 "/home/dumas/rpmbuild/mnmnot.F" 2
      RETURN
      END

[dumas@chapelle cernlib_work]$ gfortran -c mnmnot.f -o mnmnot.o
<built-in>:0: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Notice that it doesn't segfault when the file is renamed to .F.
[dumas@chapelle cernlib_work]$ gfortran -c mnmnot.F -o mnmnot.o
line-map.c: file "/home/dumas/rpmbuild/mnmnot.F" left but not entered



Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.0-13

How reproducible:
Always

Steps to Reproduce:
1. compile the above file with .f
2.
3.
  

Actual Results:  gfortran segfaults

Expected Results:  an error message

Additional info:

Comment 2 Jakub Jelinek 2005-07-10 20:41:53 UTC
Should be fixed in gcc-4.0.1-1 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.